Subject: Re: bug#16493: 24.3.50; (setq search-invisible t) is useless, let's allow to turn visible-mode temporarily on

From: Juri Linkov <[email-masked]>
Date: Tue, 21 Jan 2014 09:57:07 +0200

> I see very little value in setting `search-invisible' to t.
>
> Also, when doing so, text that is hidden with an overlay is not hit
> during a search, only text that is hidden through an invisble text
> property, which feels wrong.
>
> I suggest this change: when `search-invisible' is set to `t',
> temporarily turn visible-mode on in isearch-mode.  The meaning of
> 'open would not change and 'open is fine as a default IMO.
>
> With this change, `C-s M-s i' will switch from 'open to 't, allowing
> to display all invisible text temporarily, or from 't to 'open,
> allowing to only open overlays containing hidden text.
>
> What do you think?

I think we should keep the value `t' because it might be useful
for some users.  And add a new value like `open-all' that in its behavior
is similar to `open' but additionally will open all overlays at once
using `visible-mode' as you suggested to do.